Module | Sequel::Postgres::AutoParameterize::DatabaseMethods
In: | lib/sequel/extensions/pg_auto_parameterize.rb

### Methods

execute extended

### Public Class methods

extended(db)

Extend the database‘s datasets with the necessary code.

[Source]

        # File lib/sequel/extensions/pg_auto_parameterize.rb, line 93
    93:         def self.extended(db)
    94:           db.extend_datasets(DatasetMethods)
    95:         end

### Public Instance methods

execute(sql, opts={})

If the sql string has an embedded parameter array, extract the arguments from that.

[Source]

         # File lib/sequel/extensions/pg_auto_parameterize.rb, line 99
     99:         def execute(sql, opts={})
    100:           if sql.is_a?(StringWithArray) && (args = sql.args)
    101:             opts = opts.merge(:arguments=>args)
    102:           end
    103:           super
    104:         end

[Validate]